> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get questions for a loyalty rule

> This endpoint allows you to fetch questions for a loyalty rule.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/loyalty/questions
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/loyalty/questions:
    get:
      tags:
        - Question
      summary: Get questions for a loyalty rule
      description: This endpoint allows you to fetch questions for a loyalty rule.
      parameters:
        - name: loyaltyRuleIds
          in: query
          description: UUID of the loyalty rule to fetch questions for
          required: true
          schema:
            oneOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
            title: Loyalty Rule ID
            example: 123e4567-e89b-12d3-a456-426614174000
        - name: websiteId
          in: query
          description: UUID of the website to fetch questions for
          schema:
            type: string
            format: uuid
            title: Website ID
            example: 123e4567-e89b-12d3-a456-426614174001
        - name: organizationId
          in: query
          description: UUID of the organization to fetch questions for
          schema:
            type: string
            format: uuid
            title: Organization ID
            example: 123e4567-e89b-12d3-a456-426614174002
        - name: userId
          in: query
          description: UUID of the user to fetch questions for
          schema:
            type: string
            format: uuid
            title: User ID
            example: 123e4567-e89b-12d3-a456-426614174003
        - name: limit
          in: query
          description: Maximum number of records to return (max 100)
          schema:
            default: 10
            type: integer
            minimum: 1
            maximum: 100
            title: Limit
            example: 50
        - name: startingAfter
          in: query
          description: Pagination cursor to start after a specific resource ID
          schema:
            type: string
            format: uuid
            title: Starting After
            example: 123e4567-e89b-12d3-a456-426614174010
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        text:
                          type: string
                        loyaltyQuestionChoices:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              text:
                                type: string
                              sortIdentifier:
                                type: number
                            required:
                              - id
                              - text
                              - sortIdentifier
                      required:
                        - id
                        - text
                        - loyaltyQuestionChoices
                      title: Question Response
                      description: Response returned for a question
                  hasNextPage:
                    type: boolean
                required:
                  - data
                  - hasNextPage
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````